--- old/exception_lists/copyright	Sat Feb  6 15:36:24 2016
+++ new/exception_lists/copyright	Sat Feb  6 15:36:24 2016
@@ -53,6 +53,281 @@
 usr/src/cmd/krb5/ldap_util/kdb5_ldap_policy.h
 usr/src/cmd/krb5/ldap_util/kdb5_ldap_realm.h
 usr/src/cmd/krb5/ldap_util/kdb5_ldap_services.h
+usr/src/cmd/sendmail/LICENSE
+usr/src/cmd/sendmail/aux/editmap.c
+usr/src/cmd/sendmail/aux/makemap.c
+usr/src/cmd/sendmail/aux/praliases.c
+usr/src/cmd/sendmail/cf/domain/generic.m4
+usr/src/cmd/sendmail/cf/feature/accept_unqualified_senders.m4
+usr/src/cmd/sendmail/cf/feature/accept_unresolvable_domains.m4
+usr/src/cmd/sendmail/cf/feature/access_db.m4
+usr/src/cmd/sendmail/cf/feature/allmasquerade.m4
+usr/src/cmd/sendmail/cf/feature/always_add_domain.m4
+usr/src/cmd/sendmail/cf/feature/badmx.m4
+usr/src/cmd/sendmail/cf/feature/bestmx_is_local.m4
+usr/src/cmd/sendmail/cf/feature/bitdomain.m4
+usr/src/cmd/sendmail/cf/feature/blacklist_recipients.m4
+usr/src/cmd/sendmail/cf/feature/block_bad_helo.m4
+usr/src/cmd/sendmail/cf/feature/compat_check.m4
+usr/src/cmd/sendmail/cf/feature/conncontrol.m4
+usr/src/cmd/sendmail/cf/feature/delay_checks.m4
+usr/src/cmd/sendmail/cf/feature/dnsbl.m4
+usr/src/cmd/sendmail/cf/feature/domaintable.m4
+usr/src/cmd/sendmail/cf/feature/enhdnsbl.m4
+usr/src/cmd/sendmail/cf/feature/generics_entire_domain.m4
+usr/src/cmd/sendmail/cf/feature/genericstable.m4
+usr/src/cmd/sendmail/cf/feature/greet_pause.m4
+usr/src/cmd/sendmail/cf/feature/ldap_routing.m4
+usr/src/cmd/sendmail/cf/feature/limited_masquerade.m4
+usr/src/cmd/sendmail/cf/feature/local_lmtp.m4
+usr/src/cmd/sendmail/cf/feature/local_no_masquerade.m4
+usr/src/cmd/sendmail/cf/feature/local_procmail.m4
+usr/src/cmd/sendmail/cf/feature/lookupdotdomain.m4
+usr/src/cmd/sendmail/cf/feature/loose_relay_check.m4
+usr/src/cmd/sendmail/cf/feature/mailertable.m4
+usr/src/cmd/sendmail/cf/feature/masquerade_entire_domain.m4
+usr/src/cmd/sendmail/cf/feature/masquerade_envelope.m4
+usr/src/cmd/sendmail/cf/feature/msp.m4
+usr/src/cmd/sendmail/cf/feature/mtamark.m4
+usr/src/cmd/sendmail/cf/feature/no_default_msa.m4
+usr/src/cmd/sendmail/cf/feature/nocanonify.m4
+usr/src/cmd/sendmail/cf/feature/notsticky.m4
+usr/src/cmd/sendmail/cf/feature/nouucp.m4
+usr/src/cmd/sendmail/cf/feature/nullclient.m4
+usr/src/cmd/sendmail/cf/feature/preserve_local_plus_detail.m4
+usr/src/cmd/sendmail/cf/feature/preserve_luser_host.m4
+usr/src/cmd/sendmail/cf/feature/promiscuous_relay.m4
+usr/src/cmd/sendmail/cf/feature/queuegroup.m4
+usr/src/cmd/sendmail/cf/feature/ratecontrol.m4
+usr/src/cmd/sendmail/cf/feature/redirect.m4
+usr/src/cmd/sendmail/cf/feature/relay_based_on_MX.m4
+usr/src/cmd/sendmail/cf/feature/relay_entire_domain.m4
+usr/src/cmd/sendmail/cf/feature/relay_hosts_only.m4
+usr/src/cmd/sendmail/cf/feature/relay_local_from.m4
+usr/src/cmd/sendmail/cf/feature/relay_mail_from.m4
+usr/src/cmd/sendmail/cf/feature/require_rdns.m4
+usr/src/cmd/sendmail/cf/feature/smrsh.m4
+usr/src/cmd/sendmail/cf/feature/stickyhost.m4
+usr/src/cmd/sendmail/cf/feature/use_client_ptr.m4
+usr/src/cmd/sendmail/cf/feature/use_ct_file.m4
+usr/src/cmd/sendmail/cf/feature/use_cw_file.m4
+usr/src/cmd/sendmail/cf/feature/uucpdomain.m4
+usr/src/cmd/sendmail/cf/feature/virtuser_entire_domain.m4
+usr/src/cmd/sendmail/cf/feature/virtusertable.m4
+usr/src/cmd/sendmail/cf/m4/cf.m4
+usr/src/cmd/sendmail/cf/m4/cfhead.m4
+usr/src/cmd/sendmail/cf/m4/proto.m4
+usr/src/cmd/sendmail/cf/m4/version.m4
+usr/src/cmd/sendmail/cf/mailer/local.m4
+usr/src/cmd/sendmail/cf/mailer/procmail.m4
+usr/src/cmd/sendmail/cf/mailer/smtp.m4
+usr/src/cmd/sendmail/cf/mailer/uucp.m4
+usr/src/cmd/sendmail/cf/ostype/solaris2.m4
+usr/src/cmd/sendmail/cf/ostype/solaris2.ml.m4
+usr/src/cmd/sendmail/cf/ostype/solaris2.pre5.m4
+usr/src/cmd/sendmail/cf/ostype/solaris8.m4
+usr/src/cmd/sendmail/include/libmilter/mfapi.h
+usr/src/cmd/sendmail/include/libmilter/mfdef.h
+usr/src/cmd/sendmail/include/libmilter/milter.h
+usr/src/cmd/sendmail/include/libsmdb/smdb.h
+usr/src/cmd/sendmail/include/sendmail/mailstats.h
+usr/src/cmd/sendmail/include/sendmail/pathnames.h
+usr/src/cmd/sendmail/include/sendmail/sendmail.h
+usr/src/cmd/sendmail/include/sm/assert.h
+usr/src/cmd/sendmail/include/sm/bdb.h
+usr/src/cmd/sendmail/include/sm/bitops.h
+usr/src/cmd/sendmail/include/sm/cdefs.h
+usr/src/cmd/sendmail/include/sm/cf.h
+usr/src/cmd/sendmail/include/sm/clock.h
+usr/src/cmd/sendmail/include/sm/conf.h
+usr/src/cmd/sendmail/include/sm/config.h
+usr/src/cmd/sendmail/include/sm/debug.h
+usr/src/cmd/sendmail/include/sm/errstring.h
+usr/src/cmd/sendmail/include/sm/exc.h
+usr/src/cmd/sendmail/include/sm/fdset.h
+usr/src/cmd/sendmail/include/sm/gen.h
+usr/src/cmd/sendmail/include/sm/heap.h
+usr/src/cmd/sendmail/include/sm/io.h
+usr/src/cmd/sendmail/include/sm/ldap.h
+usr/src/cmd/sendmail/include/sm/limits.h
+usr/src/cmd/sendmail/include/sm/mbdb.h
+usr/src/cmd/sendmail/include/sm/misc.h
+usr/src/cmd/sendmail/include/sm/os/sm_os_sunos.h
+usr/src/cmd/sendmail/include/sm/path.h
+usr/src/cmd/sendmail/include/sm/rpool.h
+usr/src/cmd/sendmail/include/sm/sem.h
+usr/src/cmd/sendmail/include/sm/sendmail.h
+usr/src/cmd/sendmail/include/sm/setjmp.h
+usr/src/cmd/sendmail/include/sm/shm.h
+usr/src/cmd/sendmail/include/sm/signal.h
+usr/src/cmd/sendmail/include/sm/string.h
+usr/src/cmd/sendmail/include/sm/sysexits.h
+usr/src/cmd/sendmail/include/sm/tailq.h
+usr/src/cmd/sendmail/include/sm/test.h
+usr/src/cmd/sendmail/include/sm/time.h
+usr/src/cmd/sendmail/include/sm/types.h
+usr/src/cmd/sendmail/include/sm/varargs.h
+usr/src/cmd/sendmail/include/sm/xtrap.h
+usr/src/cmd/sendmail/libmilter/comm.c
+usr/src/cmd/sendmail/libmilter/engine.c
+usr/src/cmd/sendmail/libmilter/example.c
+usr/src/cmd/sendmail/libmilter/handler.c
+usr/src/cmd/sendmail/libmilter/libmilter.h
+usr/src/cmd/sendmail/libmilter/listener.c
+usr/src/cmd/sendmail/libmilter/main.c
+usr/src/cmd/sendmail/libmilter/monitor.c
+usr/src/cmd/sendmail/libmilter/signal.c
+usr/src/cmd/sendmail/libmilter/sm_gethost.c
+usr/src/cmd/sendmail/libmilter/smfi.c
+usr/src/cmd/sendmail/libmilter/worker.c
+usr/src/cmd/sendmail/libsm/assert.c
+usr/src/cmd/sendmail/libsm/cf.c
+usr/src/cmd/sendmail/libsm/clock.c
+usr/src/cmd/sendmail/libsm/clrerr.c
+usr/src/cmd/sendmail/libsm/config.c
+usr/src/cmd/sendmail/libsm/debug.c
+usr/src/cmd/sendmail/libsm/errstring.c
+usr/src/cmd/sendmail/libsm/exc.c
+usr/src/cmd/sendmail/libsm/fclose.c
+usr/src/cmd/sendmail/libsm/feof.c
+usr/src/cmd/sendmail/libsm/ferror.c
+usr/src/cmd/sendmail/libsm/fflush.c
+usr/src/cmd/sendmail/libsm/fget.c
+usr/src/cmd/sendmail/libsm/findfp.c
+usr/src/cmd/sendmail/libsm/flags.c
+usr/src/cmd/sendmail/libsm/fopen.c
+usr/src/cmd/sendmail/libsm/fpos.c
+usr/src/cmd/sendmail/libsm/fprintf.c
+usr/src/cmd/sendmail/libsm/fpurge.c
+usr/src/cmd/sendmail/libsm/fput.c
+usr/src/cmd/sendmail/libsm/fread.c
+usr/src/cmd/sendmail/libsm/fscanf.c
+usr/src/cmd/sendmail/libsm/fseek.c
+usr/src/cmd/sendmail/libsm/fvwrite.c
+usr/src/cmd/sendmail/libsm/fvwrite.h
+usr/src/cmd/sendmail/libsm/fwalk.c
+usr/src/cmd/sendmail/libsm/fwrite.c
+usr/src/cmd/sendmail/libsm/get.c
+usr/src/cmd/sendmail/libsm/glue.h
+usr/src/cmd/sendmail/libsm/heap.c
+usr/src/cmd/sendmail/libsm/ldap.c
+usr/src/cmd/sendmail/libsm/local.h
+usr/src/cmd/sendmail/libsm/makebuf.c
+usr/src/cmd/sendmail/libsm/match.c
+usr/src/cmd/sendmail/libsm/mbdb.c
+usr/src/cmd/sendmail/libsm/memstat.c
+usr/src/cmd/sendmail/libsm/niprop.c
+usr/src/cmd/sendmail/libsm/path.c
+usr/src/cmd/sendmail/libsm/put.c
+usr/src/cmd/sendmail/libsm/refill.c
+usr/src/cmd/sendmail/libsm/rewind.c
+usr/src/cmd/sendmail/libsm/rpool.c
+usr/src/cmd/sendmail/libsm/sem.c
+usr/src/cmd/sendmail/libsm/setvbuf.c
+usr/src/cmd/sendmail/libsm/shm.c
+usr/src/cmd/sendmail/libsm/signal.c
+usr/src/cmd/sendmail/libsm/smstdio.c
+usr/src/cmd/sendmail/libsm/snprintf.c
+usr/src/cmd/sendmail/libsm/sscanf.c
+usr/src/cmd/sendmail/libsm/stdio.c
+usr/src/cmd/sendmail/libsm/strcasecmp.c
+usr/src/cmd/sendmail/libsm/strdup.c
+usr/src/cmd/sendmail/libsm/strerror.c
+usr/src/cmd/sendmail/libsm/strexit.c
+usr/src/cmd/sendmail/libsm/string.c
+usr/src/cmd/sendmail/libsm/stringf.c
+usr/src/cmd/sendmail/libsm/strio.c
+usr/src/cmd/sendmail/libsm/strl.c
+usr/src/cmd/sendmail/libsm/strrevcmp.c
+usr/src/cmd/sendmail/libsm/strto.c
+usr/src/cmd/sendmail/libsm/t-event.c
+usr/src/cmd/sendmail/libsm/t-exc.c
+usr/src/cmd/sendmail/libsm/t-fget.c
+usr/src/cmd/sendmail/libsm/t-float.c
+usr/src/cmd/sendmail/libsm/t-fopen.c
+usr/src/cmd/sendmail/libsm/t-heap.c
+usr/src/cmd/sendmail/libsm/t-match.c
+usr/src/cmd/sendmail/libsm/t-memstat.c
+usr/src/cmd/sendmail/libsm/t-path.c
+usr/src/cmd/sendmail/libsm/t-qic.c
+usr/src/cmd/sendmail/libsm/t-rpool.c
+usr/src/cmd/sendmail/libsm/t-scanf.c
+usr/src/cmd/sendmail/libsm/t-sem.c
+usr/src/cmd/sendmail/libsm/t-shm.c
+usr/src/cmd/sendmail/libsm/t-smstdio.c
+usr/src/cmd/sendmail/libsm/t-string.c
+usr/src/cmd/sendmail/libsm/t-strio.c
+usr/src/cmd/sendmail/libsm/t-strl.c
+usr/src/cmd/sendmail/libsm/t-strrevcmp.c
+usr/src/cmd/sendmail/libsm/test.c
+usr/src/cmd/sendmail/libsm/ungetc.c
+usr/src/cmd/sendmail/libsm/util.c
+usr/src/cmd/sendmail/libsm/vasprintf.c
+usr/src/cmd/sendmail/libsm/vfprintf.c
+usr/src/cmd/sendmail/libsm/vfscanf.c
+usr/src/cmd/sendmail/libsm/vprintf.c
+usr/src/cmd/sendmail/libsm/vsnprintf.c
+usr/src/cmd/sendmail/libsm/wbuf.c
+usr/src/cmd/sendmail/libsm/wsetup.c
+usr/src/cmd/sendmail/libsm/xtrap.c
+usr/src/cmd/sendmail/libsmdb/smdb.c
+usr/src/cmd/sendmail/libsmdb/smdb1.c
+usr/src/cmd/sendmail/libsmdb/smdb2.c
+usr/src/cmd/sendmail/libsmdb/smndbm.c
+usr/src/cmd/sendmail/libsmutil/cf.c
+usr/src/cmd/sendmail/libsmutil/debug.c
+usr/src/cmd/sendmail/libsmutil/err.c
+usr/src/cmd/sendmail/libsmutil/lockfile.c
+usr/src/cmd/sendmail/libsmutil/safefile.c
+usr/src/cmd/sendmail/libsmutil/snprintf.c
+usr/src/cmd/sendmail/src/alias.c
+usr/src/cmd/sendmail/src/arpadate.c
+usr/src/cmd/sendmail/src/bf.c
+usr/src/cmd/sendmail/src/bf.h
+usr/src/cmd/sendmail/src/collect.c
+usr/src/cmd/sendmail/src/conf.c
+usr/src/cmd/sendmail/src/conf.h
+usr/src/cmd/sendmail/src/control.c
+usr/src/cmd/sendmail/src/convtime.c
+usr/src/cmd/sendmail/src/daemon.c
+usr/src/cmd/sendmail/src/daemon.h
+usr/src/cmd/sendmail/src/deliver.c
+usr/src/cmd/sendmail/src/domain.c
+usr/src/cmd/sendmail/src/envelope.c
+usr/src/cmd/sendmail/src/err.c
+usr/src/cmd/sendmail/src/headers.c
+usr/src/cmd/sendmail/src/macro.c
+usr/src/cmd/sendmail/src/main.c
+usr/src/cmd/sendmail/src/map.c
+usr/src/cmd/sendmail/src/map.h
+usr/src/cmd/sendmail/src/mci.c
+usr/src/cmd/sendmail/src/milter.c
+usr/src/cmd/sendmail/src/mime.c
+usr/src/cmd/sendmail/src/parseaddr.c
+usr/src/cmd/sendmail/src/queue.c
+usr/src/cmd/sendmail/src/ratectrl.c
+usr/src/cmd/sendmail/src/readcf.c
+usr/src/cmd/sendmail/src/recipient.c
+usr/src/cmd/sendmail/src/sasl.c
+usr/src/cmd/sendmail/src/savemail.c
+usr/src/cmd/sendmail/src/sendmail.h
+usr/src/cmd/sendmail/src/sfsasl.c
+usr/src/cmd/sendmail/src/sfsasl.h
+usr/src/cmd/sendmail/src/sm_resolve.c
+usr/src/cmd/sendmail/src/sm_resolve.h
+usr/src/cmd/sendmail/src/srvrsmtp.c
+usr/src/cmd/sendmail/src/stab.c
+usr/src/cmd/sendmail/src/stats.c
+usr/src/cmd/sendmail/src/statusd_shm.h
+usr/src/cmd/sendmail/src/sysexits.c
+usr/src/cmd/sendmail/src/sysexits.h
+usr/src/cmd/sendmail/src/timers.h
+usr/src/cmd/sendmail/src/tls.c
+usr/src/cmd/sendmail/src/trace.c
+usr/src/cmd/sendmail/src/udb.c
+usr/src/cmd/sendmail/src/usersmtp.c
+usr/src/cmd/sendmail/src/util.c
+usr/src/cmd/sendmail/src/version.c
 usr/src/cmd/smbsrv/smbd/eventlog.dll
 usr/src/cmd/terminfo/termcap.src
 usr/src/cmd/terminfo/terminfo.src
--- old/exception_lists/cstyle	Sat Feb  6 15:36:24 2016
+++ new/exception_lists/cstyle	Sat Feb  6 15:36:24 2016
@@ -116,6 +116,206 @@
 usr/src/cmd/mandoc/term_ascii.c
 usr/src/cmd/mandoc/term_ps.c
 usr/src/cmd/mandoc/tree.c
+usr/src/cmd/sendmail/aux/editmap.c
+usr/src/cmd/sendmail/aux/makemap.c
+usr/src/cmd/sendmail/aux/praliases.c
+usr/src/cmd/sendmail/include/libmilter/mfapi.h
+usr/src/cmd/sendmail/include/libmilter/mfdef.h
+usr/src/cmd/sendmail/include/libmilter/milter.h
+usr/src/cmd/sendmail/include/libsmdb/smdb.h
+usr/src/cmd/sendmail/include/sendmail/mailstats.h
+usr/src/cmd/sendmail/include/sendmail/pathnames.h
+usr/src/cmd/sendmail/include/sendmail/sendmail.h
+usr/src/cmd/sendmail/include/sm/assert.h
+usr/src/cmd/sendmail/include/sm/bdb.h
+usr/src/cmd/sendmail/include/sm/bitops.h
+usr/src/cmd/sendmail/include/sm/cdefs.h
+usr/src/cmd/sendmail/include/sm/cf.h
+usr/src/cmd/sendmail/include/sm/clock.h
+usr/src/cmd/sendmail/include/sm/conf.h
+usr/src/cmd/sendmail/include/sm/config.h
+usr/src/cmd/sendmail/include/sm/debug.h
+usr/src/cmd/sendmail/include/sm/errstring.h
+usr/src/cmd/sendmail/include/sm/exc.h
+usr/src/cmd/sendmail/include/sm/fdset.h
+usr/src/cmd/sendmail/include/sm/gen.h
+usr/src/cmd/sendmail/include/sm/heap.h
+usr/src/cmd/sendmail/include/sm/io.h
+usr/src/cmd/sendmail/include/sm/ldap.h
+usr/src/cmd/sendmail/include/sm/limits.h
+usr/src/cmd/sendmail/include/sm/mbdb.h
+usr/src/cmd/sendmail/include/sm/misc.h
+usr/src/cmd/sendmail/include/sm/os/sm_os_sunos.h
+usr/src/cmd/sendmail/include/sm/path.h
+usr/src/cmd/sendmail/include/sm/rpool.h
+usr/src/cmd/sendmail/include/sm/sem.h
+usr/src/cmd/sendmail/include/sm/sendmail.h
+usr/src/cmd/sendmail/include/sm/setjmp.h
+usr/src/cmd/sendmail/include/sm/shm.h
+usr/src/cmd/sendmail/include/sm/signal.h
+usr/src/cmd/sendmail/include/sm/string.h
+usr/src/cmd/sendmail/include/sm/sysexits.h
+usr/src/cmd/sendmail/include/sm/tailq.h
+usr/src/cmd/sendmail/include/sm/test.h
+usr/src/cmd/sendmail/include/sm/time.h
+usr/src/cmd/sendmail/include/sm/types.h
+usr/src/cmd/sendmail/include/sm/varargs.h
+usr/src/cmd/sendmail/include/sm/xtrap.h
+usr/src/cmd/sendmail/libmilter/comm.c
+usr/src/cmd/sendmail/libmilter/engine.c
+usr/src/cmd/sendmail/libmilter/example.c
+usr/src/cmd/sendmail/libmilter/handler.c
+usr/src/cmd/sendmail/libmilter/libmilter.h
+usr/src/cmd/sendmail/libmilter/listener.c
+usr/src/cmd/sendmail/libmilter/main.c
+usr/src/cmd/sendmail/libmilter/monitor.c
+usr/src/cmd/sendmail/libmilter/signal.c
+usr/src/cmd/sendmail/libmilter/sm_gethost.c
+usr/src/cmd/sendmail/libmilter/smfi.c
+usr/src/cmd/sendmail/libmilter/worker.c
+usr/src/cmd/sendmail/libsm/assert.c
+usr/src/cmd/sendmail/libsm/cf.c
+usr/src/cmd/sendmail/libsm/clock.c
+usr/src/cmd/sendmail/libsm/clrerr.c
+usr/src/cmd/sendmail/libsm/config.c
+usr/src/cmd/sendmail/libsm/debug.c
+usr/src/cmd/sendmail/libsm/errstring.c
+usr/src/cmd/sendmail/libsm/exc.c
+usr/src/cmd/sendmail/libsm/fclose.c
+usr/src/cmd/sendmail/libsm/feof.c
+usr/src/cmd/sendmail/libsm/ferror.c
+usr/src/cmd/sendmail/libsm/fflush.c
+usr/src/cmd/sendmail/libsm/fget.c
+usr/src/cmd/sendmail/libsm/findfp.c
+usr/src/cmd/sendmail/libsm/flags.c
+usr/src/cmd/sendmail/libsm/fopen.c
+usr/src/cmd/sendmail/libsm/fpos.c
+usr/src/cmd/sendmail/libsm/fprintf.c
+usr/src/cmd/sendmail/libsm/fpurge.c
+usr/src/cmd/sendmail/libsm/fput.c
+usr/src/cmd/sendmail/libsm/fread.c
+usr/src/cmd/sendmail/libsm/fscanf.c
+usr/src/cmd/sendmail/libsm/fseek.c
+usr/src/cmd/sendmail/libsm/fvwrite.c
+usr/src/cmd/sendmail/libsm/fwalk.c
+usr/src/cmd/sendmail/libsm/fwrite.c
+usr/src/cmd/sendmail/libsm/get.c
+usr/src/cmd/sendmail/libsm/glue.h
+usr/src/cmd/sendmail/libsm/heap.c
+usr/src/cmd/sendmail/libsm/ldap.c
+usr/src/cmd/sendmail/libsm/local.h
+usr/src/cmd/sendmail/libsm/makebuf.c
+usr/src/cmd/sendmail/libsm/match.c
+usr/src/cmd/sendmail/libsm/mbdb.c
+usr/src/cmd/sendmail/libsm/memstat.c
+usr/src/cmd/sendmail/libsm/niprop.c
+usr/src/cmd/sendmail/libsm/path.c
+usr/src/cmd/sendmail/libsm/put.c
+usr/src/cmd/sendmail/libsm/refill.c
+usr/src/cmd/sendmail/libsm/rewind.c
+usr/src/cmd/sendmail/libsm/rpool.c
+usr/src/cmd/sendmail/libsm/sem.c
+usr/src/cmd/sendmail/libsm/setvbuf.c
+usr/src/cmd/sendmail/libsm/shm.c
+usr/src/cmd/sendmail/libsm/signal.c
+usr/src/cmd/sendmail/libsm/smstdio.c
+usr/src/cmd/sendmail/libsm/snprintf.c
+usr/src/cmd/sendmail/libsm/sscanf.c
+usr/src/cmd/sendmail/libsm/stdio.c
+usr/src/cmd/sendmail/libsm/strcasecmp.c
+usr/src/cmd/sendmail/libsm/strdup.c
+usr/src/cmd/sendmail/libsm/strerror.c
+usr/src/cmd/sendmail/libsm/strexit.c
+usr/src/cmd/sendmail/libsm/string.c
+usr/src/cmd/sendmail/libsm/stringf.c
+usr/src/cmd/sendmail/libsm/strio.c
+usr/src/cmd/sendmail/libsm/strl.c
+usr/src/cmd/sendmail/libsm/strrevcmp.c
+usr/src/cmd/sendmail/libsm/strto.c
+usr/src/cmd/sendmail/libsm/t-event.c
+usr/src/cmd/sendmail/libsm/t-exc.c
+usr/src/cmd/sendmail/libsm/t-fget.c
+usr/src/cmd/sendmail/libsm/t-float.c
+usr/src/cmd/sendmail/libsm/t-fopen.c
+usr/src/cmd/sendmail/libsm/t-heap.c
+usr/src/cmd/sendmail/libsm/t-match.c
+usr/src/cmd/sendmail/libsm/t-memstat.c
+usr/src/cmd/sendmail/libsm/t-path.c
+usr/src/cmd/sendmail/libsm/t-qic.c
+usr/src/cmd/sendmail/libsm/t-rpool.c
+usr/src/cmd/sendmail/libsm/t-scanf.c
+usr/src/cmd/sendmail/libsm/t-sem.c
+usr/src/cmd/sendmail/libsm/t-shm.c
+usr/src/cmd/sendmail/libsm/t-smstdio.c
+usr/src/cmd/sendmail/libsm/t-string.c
+usr/src/cmd/sendmail/libsm/t-strio.c
+usr/src/cmd/sendmail/libsm/t-strl.c
+usr/src/cmd/sendmail/libsm/t-strrevcmp.c
+usr/src/cmd/sendmail/libsm/test.c
+usr/src/cmd/sendmail/libsm/ungetc.c
+usr/src/cmd/sendmail/libsm/util.c
+usr/src/cmd/sendmail/libsm/vasprintf.c
+usr/src/cmd/sendmail/libsm/vfprintf.c
+usr/src/cmd/sendmail/libsm/vfscanf.c
+usr/src/cmd/sendmail/libsm/vprintf.c
+usr/src/cmd/sendmail/libsm/vsnprintf.c
+usr/src/cmd/sendmail/libsm/wbuf.c
+usr/src/cmd/sendmail/libsm/wsetup.c
+usr/src/cmd/sendmail/libsmdb/smdb.c
+usr/src/cmd/sendmail/libsmdb/smdb1.c
+usr/src/cmd/sendmail/libsmdb/smdb2.c
+usr/src/cmd/sendmail/libsmdb/smndbm.c
+usr/src/cmd/sendmail/libsmutil/cf.c
+usr/src/cmd/sendmail/libsmutil/lockfile.c
+usr/src/cmd/sendmail/libsmutil/safefile.c
+usr/src/cmd/sendmail/libsmutil/snprintf.c
+usr/src/cmd/sendmail/src/alias.c
+usr/src/cmd/sendmail/src/arpadate.c
+usr/src/cmd/sendmail/src/bf.c
+usr/src/cmd/sendmail/src/bf.h
+usr/src/cmd/sendmail/src/collect.c
+usr/src/cmd/sendmail/src/conf.c
+usr/src/cmd/sendmail/src/conf.h
+usr/src/cmd/sendmail/src/control.c
+usr/src/cmd/sendmail/src/convtime.c
+usr/src/cmd/sendmail/src/daemon.c
+usr/src/cmd/sendmail/src/daemon.h
+usr/src/cmd/sendmail/src/deliver.c
+usr/src/cmd/sendmail/src/domain.c
+usr/src/cmd/sendmail/src/envelope.c
+usr/src/cmd/sendmail/src/err.c
+usr/src/cmd/sendmail/src/headers.c
+usr/src/cmd/sendmail/src/macro.c
+usr/src/cmd/sendmail/src/main.c
+usr/src/cmd/sendmail/src/map.c
+usr/src/cmd/sendmail/src/map.h
+usr/src/cmd/sendmail/src/mci.c
+usr/src/cmd/sendmail/src/milter.c
+usr/src/cmd/sendmail/src/mime.c
+usr/src/cmd/sendmail/src/parseaddr.c
+usr/src/cmd/sendmail/src/queue.c
+usr/src/cmd/sendmail/src/ratectrl.c
+usr/src/cmd/sendmail/src/readcf.c
+usr/src/cmd/sendmail/src/recipient.c
+usr/src/cmd/sendmail/src/sasl.c
+usr/src/cmd/sendmail/src/savemail.c
+usr/src/cmd/sendmail/src/sendmail.h
+usr/src/cmd/sendmail/src/sfsasl.c
+usr/src/cmd/sendmail/src/sfsasl.h
+usr/src/cmd/sendmail/src/sm_resolve.c
+usr/src/cmd/sendmail/src/sm_resolve.h
+usr/src/cmd/sendmail/src/srvrsmtp.c
+usr/src/cmd/sendmail/src/stab.c
+usr/src/cmd/sendmail/src/stats.c
+usr/src/cmd/sendmail/src/statusd_shm.h
+usr/src/cmd/sendmail/src/sysexits.c
+usr/src/cmd/sendmail/src/sysexits.h
+usr/src/cmd/sendmail/src/timers.h
+usr/src/cmd/sendmail/src/tls.c
+usr/src/cmd/sendmail/src/trace.c
+usr/src/cmd/sendmail/src/udb.c
+usr/src/cmd/sendmail/src/usersmtp.c
+usr/src/cmd/sendmail/src/util.c
 usr/src/common/bzip2/bzlib.h
 usr/src/common/bzip2/crctable.c
 usr/src/common/bzip2/randtable.c
--- old/exception_lists/hdrchk	Sat Feb  6 15:36:24 2016
+++ new/exception_lists/hdrchk	Sat Feb  6 15:36:24 2016
@@ -32,6 +32,60 @@
 usr/src/cmd/mandoc/mdoc.h
 usr/src/cmd/mandoc/out.h
 usr/src/cmd/mandoc/term.h
+usr/src/cmd/sendmail/include/libmilter/mfapi.h
+usr/src/cmd/sendmail/include/libmilter/mfdef.h
+usr/src/cmd/sendmail/include/libmilter/milter.h
+usr/src/cmd/sendmail/include/libsmdb/smdb.h
+usr/src/cmd/sendmail/include/sendmail/mailstats.h
+usr/src/cmd/sendmail/include/sendmail/pathnames.h
+usr/src/cmd/sendmail/include/sendmail/sendmail.h
+usr/src/cmd/sendmail/include/sm/assert.h
+usr/src/cmd/sendmail/include/sm/bdb.h
+usr/src/cmd/sendmail/include/sm/bitops.h
+usr/src/cmd/sendmail/include/sm/cdefs.h
+usr/src/cmd/sendmail/include/sm/cf.h
+usr/src/cmd/sendmail/include/sm/clock.h
+usr/src/cmd/sendmail/include/sm/conf.h
+usr/src/cmd/sendmail/include/sm/config.h
+usr/src/cmd/sendmail/include/sm/debug.h
+usr/src/cmd/sendmail/include/sm/errstring.h
+usr/src/cmd/sendmail/include/sm/exc.h
+usr/src/cmd/sendmail/include/sm/fdset.h
+usr/src/cmd/sendmail/include/sm/gen.h
+usr/src/cmd/sendmail/include/sm/heap.h
+usr/src/cmd/sendmail/include/sm/ldap.h
+usr/src/cmd/sendmail/include/sm/limits.h
+usr/src/cmd/sendmail/include/sm/mbdb.h
+usr/src/cmd/sendmail/include/sm/misc.h
+usr/src/cmd/sendmail/include/sm/os/sm_os_sunos.h
+usr/src/cmd/sendmail/include/sm/path.h
+usr/src/cmd/sendmail/include/sm/rpool.h
+usr/src/cmd/sendmail/include/sm/sem.h
+usr/src/cmd/sendmail/include/sm/sendmail.h
+usr/src/cmd/sendmail/include/sm/setjmp.h
+usr/src/cmd/sendmail/include/sm/shm.h
+usr/src/cmd/sendmail/include/sm/signal.h
+usr/src/cmd/sendmail/include/sm/string.h
+usr/src/cmd/sendmail/include/sm/sysexits.h
+usr/src/cmd/sendmail/include/sm/test.h
+usr/src/cmd/sendmail/include/sm/time.h
+usr/src/cmd/sendmail/include/sm/types.h
+usr/src/cmd/sendmail/include/sm/varargs.h
+usr/src/cmd/sendmail/include/sm/xtrap.h
+usr/src/cmd/sendmail/libmilter/libmilter.h
+usr/src/cmd/sendmail/libsm/fvwrite.h
+usr/src/cmd/sendmail/libsm/glue.h
+usr/src/cmd/sendmail/libsm/local.h
+usr/src/cmd/sendmail/src/bf.h
+usr/src/cmd/sendmail/src/conf.h
+usr/src/cmd/sendmail/src/daemon.h
+usr/src/cmd/sendmail/src/map.h
+usr/src/cmd/sendmail/src/sendmail.h
+usr/src/cmd/sendmail/src/sfsasl.h
+usr/src/cmd/sendmail/src/sm_resolve.h
+usr/src/cmd/sendmail/src/statusd_shm.h
+usr/src/cmd/sendmail/src/sysexits.h
+usr/src/cmd/sendmail/src/timers.h
 usr/src/common/openssl/crypto/krb5/krb5_asn.h
 usr/src/grub/grub-0.97/stage2/shared.h
 usr/src/lib/gss_mechs/mech_krb5/et/error_table.h
--- old/usr/src/cmd/sendmail/LICENSE	Sat Feb  6 15:36:24 2016
+++ new/usr/src/cmd/sendmail/LICENSE	Sat Feb  6 15:36:24 2016
@@ -1,8 +1,9 @@
 			     SENDMAIL LICENSE
 
-The following license terms and conditions apply, unless a different
-license is obtained from Sendmail, Inc., 6475 Christie Ave, Suite 350,
-Emeryville, CA 94608, USA, or by electronic mail at license@sendmail.com.
+The following license terms and conditions apply, unless a redistribution
+agreement or other license is obtained from Proofpoint, Inc., 892
+Ross Street, Sunnyvale, CA, 94089, USA, or by electronic mail at
+sendmail-license@proofpoint.com.
 
 License Terms:
 
@@ -22,10 +23,11 @@
        must allow further use, modification, and redistribution of the Source
        Code under substantially the same terms as this license.  For the
        purposes of redistribution "Source Code" means the complete compilable
-       and linkable source code of sendmail including all modifications.
+       and linkable source code of sendmail and associated libraries and
+       utilities in the sendmail distribution including all modifications.
 
-2. Redistributions of source code must retain the copyright notices as they
-   appear in each source code file, these license terms, and the
+2. Redistributions of Source Code must retain the copyright notices as they
+   appear in each Source Code file, these license terms, and the
    disclaimer/limitation of liability set forth as paragraph 6 below.
 
 3. Redistributions in binary form must reproduce the Copyright Notice,
@@ -33,16 +35,16 @@
    forth as paragraph 6 below, in the documentation and/or other materials
    provided with the distribution.  For the purposes of binary distribution
    the "Copyright Notice" refers to the following language:
-   "Copyright (c) 1998-2009 Sendmail, Inc.  All rights reserved."
+   "Copyright (c) 1998-2014 Proofpoint, Inc.  All rights reserved."
 
-4. Neither the name of Sendmail, Inc. nor the University of California nor
-   the names of their contributors may be used to endorse or promote
+4. Neither the name of Proofpoint, Inc. nor the University of California nor
+   names of their contributors may be used to endorse or promote
    products derived from this software without specific prior written
-   permission.  The name "sendmail" is a trademark of Sendmail, Inc.
+   permission.  The name "sendmail" is a trademark of Proofpoint, Inc.
 
 5. All redistributions must comply with the conditions imposed by the
-   University of California on certain embedded code, whose copyright
-   notice and conditions for redistribution are as follows:
+   University of California on certain embedded code, which copyright
+   Notice and conditions for redistribution are as follows:
 
    (a) Copyright (c) 1988, 1993 The Regents of the University of
        California.  All rights reserved.
@@ -76,4 +78,4 @@
    (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
    THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
 
-$Revision: 8.15 $, Last updated $Date: 2009/03/04 19:58:04 $
+$Revision: 8.23 $, Last updated $Date: 2014-01-26 20:10:01 $, Document 139848.1	
--- old/usr/src/cmd/sendmail/aux/Makefile	Sat Feb  6 15:36:24 2016
+++ new/usr/src/cmd/sendmail/aux/Makefile	Sat Feb  6 15:36:24 2016
@@ -20,6 +20,7 @@
 #
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
+# Copyright 2016 OmniTI Computer Consulting, Inc. All rights reserved.
 #
 
 # cmd/sendmail/aux/Makefile
@@ -117,7 +118,7 @@
 	$(ROOTUSRSBIN)/etrn $(ROOTUSRSBIN)/editmap
 
 clean:
-	$(RM) $(OBJS) *.o
+	$(RM) $(PROG) $(LIBPROG) $(USRSBINPROG) $(LIBSMTPSMPROG) $(OBJS) *.o
 
 lint:		lint_PROG
 
--- old/usr/src/cmd/sendmail/aux/editmap.c	Sat Feb  6 15:36:24 2016
+++ new/usr/src/cmd/sendmail/aux/editmap.c	Sat Feb  6 15:36:24 2016
@@ -11,8 +11,6 @@
  *
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sm/gen.h>
 #ifndef lint
 SM_UNUSED(static char copyright[]) =
@@ -54,6 +52,7 @@
 bool	DontInitGroups = false;
 uid_t	TrustedUid = 0;
 BITMAP256 DontBlameSendmail;
+bool	IntSig = false;
 
 #define BUFSIZE		1024
 #define ISSEP(c) (isascii(c) && isspace(c))
--- old/usr/src/cmd/sendmail/aux/makemap.c	Sat Feb  6 15:36:24 2016
+++ new/usr/src/cmd/sendmail/aux/makemap.c	Sat Feb  6 15:36:24 2016
@@ -11,8 +11,6 @@
  *
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sm/gen.h>
 
 SM_IDSTR(copyright,
@@ -50,6 +48,7 @@
 bool	DontInitGroups = false;
 uid_t	TrustedUid = 0;
 BITMAP256 DontBlameSendmail;
+bool	IntSig = false;
 
 #define BUFSIZE		1024
 #define ISSEP(c) (sep == '\0' ? isascii(c) && isspace(c) : (c) == sep)
--- old/usr/src/cmd/sendmail/aux/praliases.c	Sat Feb  6 15:36:25 2016
+++ new/usr/src/cmd/sendmail/aux/praliases.c	Sat Feb  6 15:36:25 2016
@@ -51,6 +51,7 @@
 bool	DontInitGroups = false;
 uid_t	TrustedUid = 0;
 BITMAP256 DontBlameSendmail;
+bool	IntSig = false;
 
 # define DELIMITERS		" ,/"
 # define PATH_SEPARATOR		':'
--- old/usr/src/cmd/sendmail/cf/domain/generic.m4	Sat Feb  6 15:36:25 2016
+++ new/usr/src/cmd/sendmail/cf/domain/generic.m4	Sat Feb  6 15:36:25 2016
@@ -1,6 +1,6 @@
 divert(-1)
 #
-# Copyright (c) 1998, 1999 Sendmail, Inc. and its suppliers.
+# Copyright (c) 1998, 1999 Proofpoint, Inc. and its suppliers.
 #	All rights reserved.
 # Copyright (c) 1983 Eric P. Allman.  All rights reserved.
 # Copyright (c) 1988, 1993
@@ -20,7 +20,7 @@
 #  files.
 #
 divert(0)
-VERSIONID(`$Id: generic.m4,v 8.15 1999/04/04 00:51:09 ca Exp $')
+VERSIONID(`$Id: generic.m4,v 8.16 2013-11-22 20:51:10 ca Exp $')
 define(`confFORWARD_PATH', `$z/.forward.$w+$h:$z/.forward+$h:$z/.forward.$w:$z/.forward')dnl
 define(`confMAX_HEADERS_LENGTH', `32768')dnl
 FEATURE(`redirect')dnl
--- old/usr/src/cmd/sendmail/cf/feature/accept_unqualified_senders.m4	Sat Feb  6 15:36:25 2016
+++ new/usr/src/cmd/sendmail/cf/feature/accept_unqualified_senders.m4	Sat Feb  6 15:36:25 2016
@@ -1,6 +1,6 @@
 divert(-1)
 #
-# Copyright (c) 1998, 1999 Sendmail, Inc. and its suppliers.
+# Copyright (c) 1998, 1999 Proofpoint, Inc. and its suppliers.
 #	All rights reserved.
 #
 # By using this file, you agree to the terms and conditions set
@@ -7,11 +7,10 @@
 # forth in the LICENSE file which can be found at the top level of
 # the sendmail distribution.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
 #
 
 divert(0)
-VERSIONID(`$Id: accept_unqualified_senders.m4,v 8.6 1999/02/07 07:26:07 gshapiro Exp $')
+VERSIONID(`$Id: accept_unqualified_senders.m4,v 8.7 2013-11-22 20:51:11 ca Exp $')
 divert(-1)
 
 define(`_ACCEPT_UNQUALIFIED_SENDERS_', 1)
--- old/usr/src/cmd/sendmail/cf/feature/accept_unresolvable_domains.m4	Sat Feb  6 15:36:25 2016
+++ new/usr/src/cmd/sendmail/cf/feature/accept_unresolvable_domains.m4	Sat Feb  6 15:36:25 2016
@@ -1,6 +1,6 @@
 divert(-1)
 #
-# Copyright (c) 1998, 1999 Sendmail, Inc. and its suppliers.
+# Copyright (c) 1998, 1999 Proofpoint, Inc. and its suppliers.
 #	All rights reserved.
 #
 # By using this file, you agree to the terms and conditions set
@@ -7,11 +7,10 @@
 # forth in the LICENSE file which can be found at the top level of
 # the sendmail distribution.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
 #
 
 divert(0)
-VERSIONID(`$Id: accept_unresolvable_domains.m4,v 8.10 1999/02/07 07:26:07 gshapiro Exp $')
+VERSIONID(`$Id: accept_unresolvable_domains.m4,v 8.11 2013-11-22 20:51:11 ca Exp $')
 divert(-1)
 
 define(`_ACCEPT_UNRESOLVABLE_DOMAINS_', 1)
--- old/usr/src/cmd/sendmail/cf/feature/access_db.m4	Sat Feb  6 15:36:25 2016
+++ new/usr/src/cmd/sendmail/cf/feature/access_db.m4	Sat Feb  6 15:36:25 2016
@@ -1,6 +1,6 @@
 divert(-1)
 #
-# Copyright (c) 1998-2002, 2004 Sendmail, Inc. and its suppliers.
+# Copyright (c) 1998-2002, 2004, 2006 Proofpoint, Inc. and its suppliers.
 #	All rights reserved.
 #
 # By using this file, you agree to the terms and conditions set
@@ -7,11 +7,10 @@
 # forth in the LICENSE file which can be found at the top level of
 # the sendmail distribution.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
 #
 
 divert(0)
-VERSIONID(`$Id: access_db.m4,v 8.26 2004/06/24 18:10:02 ca Exp $')
+VERSIONID(`$Id: access_db.m4,v 8.28 2013-11-22 20:51:11 ca Exp $')
 divert(-1)
 
 define(`_ACCESS_TABLE_', `')
@@ -18,8 +17,13 @@
 define(`_TAG_DELIM_', `:')dnl should be in OperatorChars
 ifelse(lower(_ARG2_),`skip',`define(`_ACCESS_SKIP_', `1')')
 ifelse(lower(_ARG2_),`lookupdotdomain',`define(`_LOOKUPDOTDOMAIN_', `1')')
+ifelse(lower(_ARG2_),`relaytofulladdress',`define(`_RELAY_FULL_ADDR_', `1')')
 ifelse(lower(_ARG3_),`skip',`define(`_ACCESS_SKIP_', `1')')
 ifelse(lower(_ARG3_),`lookupdotdomain',`define(`_LOOKUPDOTDOMAIN_', `1')')
+ifelse(lower(_ARG3_),`relaytofulladdress',`define(`_RELAY_FULL_ADDR_', `1')')
+ifelse(lower(_ARG4_),`skip',`define(`_ACCESS_SKIP_', `1')')
+ifelse(lower(_ARG4_),`lookupdotdomain',`define(`_LOOKUPDOTDOMAIN_', `1')')
+ifelse(lower(_ARG4_),`relaytofulladdress',`define(`_RELAY_FULL_ADDR_', `1')')
 define(`_ATMPF_', `<TMPF>')dnl
 dnl check whether arg contains -T`'_ATMPF_
 dnl unless it is a sequence map
--- old/usr/src/cmd/sendmail/cf/feature/allmasquerade.m4	Sat Feb  6 15:36:25 2016
+++ new/usr/src/cmd/sendmail/cf/feature/allmasquerade.m4	Sat Feb  6 15:36:25 2016
@@ -1,6 +1,6 @@
 divert(-1)
 #
-# Copyright (c) 1998-2000 Sendmail, Inc. and its suppliers.
+# Copyright (c) 1998-2000 Proofpoint, Inc. and its suppliers.
 #	All rights reserved.
 # Copyright (c) 1983 Eric P. Allman.  All rights reserved.
 # Copyright (c) 1988, 1993
@@ -10,11 +10,10 @@
 # forth in the LICENSE file which can be found at the top level of
 # the sendmail distribution.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
 #
 
 divert(0)
-VERSIONID(`$Id: allmasquerade.m4,v 8.13 2000/09/12 22:00:53 ca Exp $')
+VERSIONID(`$Id: allmasquerade.m4,v 8.14 2013-11-22 20:51:11 ca Exp $')
 divert(-1)
 
 ifdef(`_MAILER_local_',
